<?php 
require_once "../modelos/Pagocomisiones.php";
if (strlen(session_id())<1) 
	session_start();

$pagocomisiones	=	new Pagocomisiones();

$idpagocomisiones			=	isset($_POST["idpagocomisiones"])? limpiarCadena($_POST["idpagocomisiones"]):"";
$montoventa						=	isset($_POST["montoventa"])? limpiarCadena($_POST["montoventa"]):"";
$montocomisionv				=	isset($_POST["montocomisionv"])? limpiarCadena($_POST["montocomisionv"]):"";
$montocomisionvv			=	isset($_POST["montocomisionvv"])? limpiarCadena($_POST["montocomisionvv"]):"";
$montocomisionc				=	isset($_POST["montocomisionc"])? limpiarCadena($_POST["montocomisionc"]):"";
$montocomisioncg			=	isset($_POST["montocomisioncg"])? limpiarCadena($_POST["montocomisioncg"]):"";
$montocomisionvp			=	isset($_POST["montocomisionvp"])? limpiarCadena($_POST["montocomisionvp"]):"";
$montocomision				=	isset($_POST["totalcomisionv"])? limpiarCadena($_POST["totalcomisionv"]):"";

$porcentajecomisionv	=	isset($_POST["porcentajecomisionv"])? limpiarCadena($_POST["porcentajecomisionv"]):"";
$porcentajecomisionvv	=	isset($_POST["porcentajecomisionvv"])? limpiarCadena($_POST["porcentajecomisionvv"]):"";
$porcentajecomisionc	=	isset($_POST["porcentajecomisionc"])? limpiarCadena($_POST["porcentajecomisionc"]):""; 
$porcentajecomisionvg	= isset($_POST["porcentajecomisionvg"])? limpiarCadena($_POST["porcentajecomisionvg"]):"";
$porcentajecomisionvp	= isset($_POST["porcentajecomisionvp"])? limpiarCadena($_POST["porcentajecomisionvp"]):""; 

$idusuario					=$_SESSION["idusuario"];

$idvendedor1=isset($_POST["idvendedor1"])? $_POST["idvendedor1"]:"0"; 

$idvendedor=isset($_POST["idvendedor"])? $_POST["idvendedor"]:"0";


switch ($_GET["op"]) {
	case 'guardaryeditar':
	if (empty($idpagocomisiones)) {
		$rspta=$pagocomisiones->insertar($montoventa, $montocomision, $montocomisionv, $montocomisionvv, $montocomisionc,$montocomisionvp, $montocomisioncg, $porcentajecomisionv, $porcentajecomisionvv,$porcentajecomisionc, $porcentajecomisionvg, $porcentajecomisionvp, $idusuario,
		$_POST["idventa"], $_POST["ventavalido"], $_POST["montoddd"], $_POST["discobranza"],
		$idvendedor1, $_POST["venta"], $_POST["cobranza"], $_POST["totalcomision"],$_POST["vendedorvalido"], 
		$_POST["idvendedor11"],$_POST["venta1"],$_POST["cobranza1"],$_POST["totalcomision1"],$_POST["vendedorvalido1"]);
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	}else{
         $rspta=$pagocomisiones->editar($idpagocomisiones,$idpagocomisiones,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	}
	break;
	
	case 'anular':
		$rspta=$pagocomisiones->anular($idpagocomisiones,$idusuario);
		echo $rspta ? "Comisión anulada con éxito." : "No se pudo anular la comisión.";
	break;

	case 'eliminar':
		$rspta=$pagocomisiones->eliminar($idpagocomisiones);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;
	
	case 'mostrar':
		$rspta=$pagocomisiones->mostrar($idpagocomisiones);
		echo json_encode($rspta);
	break;

	case 'listarp':
		$rspta=$pagocomisiones->listarp();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->tipo_documento,
						"3"=>$reg->num_documento,
						"4"=>$reg->telefono,
						"5"=>$reg->email
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
    //`idcomision`,`montocxc`,`montocomision`,`porcentajecomision`,`fecha`,`estado`
	case 'listar':
		$rspta=$pagocomisiones->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			if ($reg->estado=='Anulado'){
				$colorestado='<span class="badge bg-red">'.$reg->estado.'</span>';
			}else{
				$colorestado='<span class="badge bg-green">Pagada</span>';
			}
			$data[]=array(
            "0"=>(($reg->estado!='Anulado')?
				'<div align="center"><button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idcomision.')"><i class="fa fa-eye"></i></button>'
				.' '.
				'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idcomision.')"><i class="fas fa-times"></i></button>
				</div>'
            	:
				'<div align="center">
				<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idcomision.')"><i class="fa fa-eye"></i></button>
				</div>'),
            "1"=>'<div align="center">'.$reg->fecha.'</div>',
            "2"=>'<div align="right">'.$reg->montocxc.'</div>',
            "3"=>'<div align="right">'.$reg->montocomision.'</div>',
						"4"=>'<div align="center">'.$reg->porco.'%</div>',
						"5"=>'<div align="right">'.$reg->montocomisionvv.'</div>',
						"6"=>'<div align="center">'.$reg->porvv.'%</div>',
						"7"=>'<div align="right">'.$reg->montocomisionc.'</div>',
						"8"=>'<div align="center">'.$reg->porc.'%</div>',
						"9"=>'<div align="right">'.$reg->comisionvendedor.'</div>',
						"10"=>'<div align="center">'.$reg->porvendedor.'%</div>',
						"11"=>'<div align="right">'.$reg->montocomisiong.'</div>',
						"12"=>'<div align="center">'.$reg->porg.'%</div>',
						"13"=>'<div align="right">'.$reg->montocomisionp.'</div>',
						"14"=>'<div align="center">'.$reg->porp.'%</div>',
						
						"15"=>'<div align="center">'.$colorestado.'</div>'
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;


	/* <th>Cliente</th>
                            <th>Vendedor</th>
                            <th>Fecha Despacho</th>
                            <th>Fecha Cobro</th>
                            <th>Días Cobranza</th> */
	case 'comisionventa':
		$rspta=$pagocomisiones->comisionventa($idpagocomisiones);
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<div align="center">'.$reg->num_comprobante1.'</div>',
						"1"=>'<div align="left">'.$reg->cliente.'</div>',
						"2"=>'<div align="left">'.$reg->vendedor.'</div>',
						"3"=>'<div align="center">'.$reg->fechad.'</div>',
						"4"=>'<div align="center">'.$reg->fechacobro.'</div>',
						"5"=>'<div align="center">'.$reg->diascrobro.'</div>',
            "6"=>'<div align="right">'.$reg->monto.'</div>',
            "7"=>'<div align="right">'.$reg->montocomisionv.'</div>',
						"8"=>'<div align="center">'.$reg->porcentajecomisionv.'%</div>',
						"9"=>'<div align="right">'.$reg->montocomisionc.'</div>',
						"10"=>'<div align="center">'.$reg->porcentajecomisionc.'%</div>',
						"11"=>'<div align="right">'.$reg->totalc.'</div>',
						"12"=>'<div align="center">'.$reg->totalcp.'%</div>',
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'comisionvendedor':
		$rspta=$pagocomisiones->comisionvendedor($idpagocomisiones);
		$data=Array();
		
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<div align="left"><button class="btn btn-warning btn-xs" onclick="comisionventavendedor('.$idpagocomisiones.','.$reg->idvendedor.',\''.$reg->persona.'\')"><i class="fa fa-eye"></i></button>'.' '.$reg->persona.'</div>',
            "1"=>'<div align="right">'.$reg->venta.'</div>',
			"2"=>'<div align="right">'.$reg->cobranza.'</div>',
			"3"=>'<div align="right">'.$reg->montocomision.'</div>',
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'comisionpersonala':
		$rspta=$pagocomisiones->comisionpersonala($idpagocomisiones);
		$data=Array();
		
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<div align="left">'.$reg->persona.'</div>',
            "1"=>'<div align="right">'.$reg->venta.'</div>',
						
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

    case 'comisionventaporvendedor':
		$rspta=$pagocomisiones->comisionventaporvendedor($idpagocomisiones,$idvendedor);
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<div align="center">'.$reg->num_comprobante1.'</div>',
						"1"=>'<div align="left">'.$reg->cliente.'</div>',
						"2"=>'<div align="center">'.$reg->fechad.'</div>',
						"3"=>'<div align="center">'.$reg->fechacobro.'</div>',
						"4"=>'<div align="center">'.$reg->diascrobro.'</div>',
            "5"=>'<div align="right">'.$reg->monto.'</div>',
            "6"=>'<div align="right">'.$reg->montocomisionv.'</div>',
						"7"=>'<div align="center">'.$reg->porcentajecomisionv.'%</div>',
						"8"=>'<div align="right">'.$reg->montocomisionc.'</div>',
						"9"=>'<div align="center">'.$reg->porcentajecomisionc.'%</div>',
						"10"=>'<div align="right">'.$reg->totalc.'</div>',
						"11"=>'<div align="center">'.$reg->totalcp.'%</div>',
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
    	
}
 ?>